Bug 303272 - Amazon MP3 Music Store is shown and empty unless using from a supported country
Summary: Amazon MP3 Music Store is shown and empty unless using from a supported country
Status: CLOSED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Services/Amazon MP3 Store (show other bugs)
Version: 2.6-git
Platform: Debian testing All
: NOR normal (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-10 00:58 UTC by Philippe Cloutier
Modified: 2013-08-04 04:55 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Cloutier 2012-07-10 00:58:55 UTC
When Amarok is started, it prompts for the country. If the country is not supported by the Amazon MP3 Music Store, one needs to select "none of the above (store won't work)". "won't work" is a pretty good description of what happens unless the user is in a supported country. With that setting, the online sources include "MP3 Music Store", and if the user browses that source, no track is shown.

Bug 297552 has some more information about issues with the Amazon MP3 Music Store.
Comment 1 Edward Hades 2012-08-14 19:57:23 UTC
Git commit 84c05d37ac5be1c836948ca5e41a0f824969544e by Edward Hades.
Committed on 14/08/2012 at 21:49.
Pushed by hades into branch 'master'.

Detect Amazon country automatically.

This uses KDE locale settings and avoids "choose your country" popup at
first startup.
Related: bug 299628, bug 301242

M  +19   -10   src/services/amazon/AmazonStore.cpp
M  +8    -0    src/services/amazon/AmazonStore.h

http://commits.kde.org/amarok/84c05d37ac5be1c836948ca5e41a0f824969544e
Comment 2 Myriam Schweingruber 2012-11-29 12:06:17 UTC
Setting status correctly.
Comment 3 Sven Krohlas 2012-11-30 10:54:36 UTC
Since commit

https://projects.kde.org/projects/extragear/multimedia/amarok/repository/revisions/231dbcefee39663890ea0f0eefb096aa3d1dad26

There no longer is an empty panel. Instead we show the configuration widget, embedded in the panel.